package com.ztmap.project.zhny.strategy.service;

import java.util.List;
import java.util.Map;

import com.ztmap.project.zhny.strategy.domain.TStrategy;

/**
 * 策略管理Service接口
 * 
 * @author ztmap
 * @date 2023-10-11
 */
public interface ITStrategyService 
{
    /**
     * 查询策略管理
     * 
     * @param id 策略管理ID
     * @return 策略管理
     */
    public TStrategy selectTStrategyById(Long id);

    /**
     * 查询策略管理列表
     * 
     * @param tStrategy 策略管理
     * @return 策略管理集合
     */
    public List<TStrategy> selectTStrategyList(TStrategy tStrategy);

    /**
     * 新增策略管理
     * 
     * @param tStrategy 策略管理
     * @return 结果
     */
    public int insertTStrategy(TStrategy tStrategy);

    /**
     * 修改策略管理
     * 
     * @param tStrategy 策略管理
     * @return 结果
     */
    public int updateTStrategy(TStrategy tStrategy);

    /**
     * 批量删除策略管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTStrategyByIds(String ids);

    /**
     * 删除策略管理信息
     * 
     * @param id 策略管理ID
     * @return 结果
     */
    public int deleteTStrategyById(Long id);

    List<TStrategy> getStrategyList(Map<String, Object> params);
}
